Bug 1416955 - VLAN connections not brought up at boot due to racing between udev-renaming and network-manager-bring-up-connections
Summary: VLAN connections not brought up at boot due to racing between udev-renaming a...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 24
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-26 22:34 UTC by John Yu
Modified: 2017-08-08 19:36 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 19:36:19 UTC
Type: Bug


Attachments (Terms of Use)
network-manager log with trace (248.18 KB, text/plain)
2017-01-30 22:30 UTC, John Yu
no flags Details

Description John Yu 2017-01-26 22:34:28 UTC
I have two vlan interfaces configured upon a physical NIC.

At boot, racing can happen when network-manager (nm) trying to bring up connections while udev is still renaming network devices.

Due to the renaming not completed, nm may not be able to recognize the device that the two vlan interfaces depend on. So, it may fail to bring up the two interfaces, while udev is still setting the device up. When the uevent of the device arrives later, nm does not attempt to bring up the two vlan interfaces.


For a similar problem, see the comments(7~10) on this page: https://bugs.freedesktop.org/show_bug.cgi?id=56929

Comment 1 Beniamino Galvani 2017-01-28 12:01:23 UTC
(In reply to John Yu from comment #0)
> I have two vlan interfaces configured upon a physical NIC.
> 
> At boot, racing can happen when network-manager (nm) trying to bring up
> connections while udev is still renaming network devices.
> 
> Due to the renaming not completed, nm may not be able to recognize the
> device that the two vlan interfaces depend on. So, it may fail to bring up
> the two interfaces, while udev is still setting the device up. When the
> uevent of the device arrives later, nm does not attempt to bring up the two
> vlan interfaces.
> 
> 
> For a similar problem, see the comments(7~10) on this page:
> https://bugs.freedesktop.org/show_bug.cgi?id=56929

NetworkManager should start managing the interface only after udev has announced it. Can you please set level=TRACE in the [logging] section of /etc/NetworkManager/NetworkManager.conf, reboot and then attach the output of 'journalctl -u NetworkManager -b'? Thanks!

Comment 2 John Yu 2017-01-30 22:30:13 UTC
Created attachment 1246014 [details]
network-manager log with trace

Comment 3 John Yu 2017-01-30 22:34:15 UTC
In the log file attached, the device name is ens3f1. Two vlan: ens3f1-vlan9 and ens3f1-vlan401,

Comment 4 Beniamino Galvani 2017-02-01 23:03:21 UTC
Version 1.0.12-2.fc23 is quite old and not really maintained anymore. Please try updating to a more recent version (note that F23 is now in EOL (End of Life) status and no longer receives updates).

Ideally you should update to F24/F25 and check if the issue is still reproducible.

Comment 5 Fedora End Of Life 2017-07-26 00:13:03 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2017-08-08 19:36:19 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.